import { jsx as e, jsxs as c } from "react/jsx-runtime";
/* empty css                       */
import { dFlexColumn as p } from "./index-general.module.js";
import { classNames as d } from "./index-classNames.js";
import { Text as f, TextTypes as x } from "./index-Text.js";
import "react";
import { ComponentContainer as h } from "./index-ComponentContainer.js";
import { Modal as y } from "./index-Modal.js";
import { ModalBody as C } from "./index-ModalBody.js";
import { ModalFooter as M } from "./index-ModalFooter.js";
import { ModalHeader as u } from "./index-ModalHeader.js";
const k = (s) => {
  const {
    close: o,
    message: t,
    title: m,
    positiveCtaText: r,
    headerType: n,
    positiveIconLeft: a,
    replacements: i,
    hideHeaderCloseBtn: l = !1
  } = s;
  return e(h, {
    className: "AcceptModal-container",
    children: c(y, {
      className: "accept-modal",
      width: "672px",
      children: [e(u, {
        hideHeaderCloseBtn: l,
        type: n,
        closeFn: o,
        title: m,
        replacements: i
      }), e(C, {
        children: e("div", {
          className: d(p),
          children: typeof t == "string" ? e(f, {
            textAlign: "center",
            type: x.text,
            replacements: i,
            children: t
          }) : t
        })
      }), e(M, {
        buttonsPosition: "center",
        positive: {
          cta: () => {
            o({
              isOk: !0
            });
          },
          text: r === "" ? "Yes" : r ?? "Yes",
          icon: a ?? void 0
        }
      })]
    })
  });
};
export {
  k as AcceptModal
};
